package com.nisum.application.repository;


import com.nisum.application.model.Profile;
import org.springframework.data.mongodb.repository.ReactiveMongoRepository;
import reactor.core.publisher.Flux;
import reactor.core.publisher.Mono;

import java.time.LocalDate;

public interface ProfileRepository extends ReactiveMongoRepository<Profile, String> {
    Mono<Profile> findByPermanentAccountNumber(String pan);

    Mono<Profile> findByAdharNumber(String adhar);

    Flux<Profile> findByFirstNameRegexAndLastNameRegex(String firstName, String lastName);

    Flux<Profile> findAllByPermanentAccountNumber(String pan);

    Flux<Profile> findAllByAdharNumber(String aadharNumber);

    Flux<Profile> findByMobileNumber(String mobile);

    Flux<Profile> findByDateOfBirth(LocalDate dob);

}


